--- old/usr/src/cmd/svc/svccfg/svccfg_xml.c	Fri Feb 10 23:52:18 2017
+++ new/usr/src/cmd/svc/svccfg/svccfg_xml.c	Fri Feb 10 23:52:18 2017
@@ -23,6 +23,7 @@
  */
 /*
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2017 RackTop Systems.
  */
 
 
@@ -417,6 +418,16 @@
 
 	val = xmlGetProp(n, (xmlChar *)attr);
 
+	/* Some properties may have multiple values. */
+	p = internal_property_find(pgrp, pname);
+	if (p != NULL) {
+		value_t *v = internal_value_new();
+		v->sc_u.sc_string = (char *)val;
+		v->sc_type = ty;
+		internal_attach_value(p, v);
+		return (0);
+	}
+
 	p = internal_property_create(pname, ty, 1, val);
 	r = internal_attach_property(pgrp, p);
 
